<template>
  <div class="react">
    <div class="main-table">
      <el-table :data="displayContentTable" style="width: 100%" height="200px" :row-class-name="tableRowClassName">
        <el-table-column v-for="(item, index) in listLabel" :key="index" :prop="item.prop"
                         :label="item.label"></el-table-column>
      </el-table>
    </div>
  </div>
</template>

<script>
export default {
  name: 'PublicTable',
  props: ['displayContentTable'],
  data () {
    return {
      listData: [],
      listLabel: [
        {
          label: '序号',
          prop: 'StoragePlaceId'
        },
        {
          label: '类别',
          prop: 'StoragePlaceTypeName'
        },
        {
          label: '固废名称',
          prop: 'StoragePlaceName'
        },
        {
          label: '代码',
          prop: 'StorageZDMJ'
        },
        {
          label: '产生量(t)',
          prop: 'StorageZCL'
        },
        {
          label: '贮存量(t)',
          prop: 'StorageZCNL'
        },
        {
          label: '产生装置',
          prop: 'StorageType'
        }
      ]
    }
  },
  methods: {
    tableRowClassName ({
      row,
      rowIndex
    }) {
      if (rowIndex % 2 === 0) {
        return 'warning-row'
      } else if (rowIndex % 2 === 1) {
        return 'success-row'
      }
      return ''
    }
  }
}
</script>

<style lang="less" scoped>
.react {
  position: relative;
  background-color: rgba(33, 41, 69, 0.9);
  background: linear-gradient(to left, #02a6b5, #02a6b5) left top no-repeat,
  linear-gradient(to bottom, #02a6b5, #02a6b5) left top no-repeat,
  linear-gradient(to left, #02a6b5, #02a6b5) right top no-repeat,
  linear-gradient(to bottom, #02a6b5, #02a6b5) right top no-repeat,
  linear-gradient(to left, #02a6b5, #02a6b5) left bottom no-repeat,
  linear-gradient(to bottom, #02a6b5, #02a6b5) left bottom no-repeat,
  linear-gradient(to left, #02a6b5, #02a6b5) right bottom no-repeat,
  linear-gradient(to left, #02a6b5, #02a6b5) right bottom no-repeat;
  background-size: 2px 20px, 20px 2px, 2px 20px, 20px 2px;
}
</style>
